#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex18'
testname='runex18_4_tet_test_orient'
label='dm_impls_plex_tests-ex18_4_tet_test_orient'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-dim 3 -distribute 0 -dm_plex_check_all'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"





nsize_in=${nsize:-2}
rotate_interface_0_in=${rotate_interface_0:-0 1 2 11 12 13}
rotate_interface_1_in=${rotate_interface_1:-0 1 2 11 12 13}


for insize in ${nsize_in}; do
   for irotate_interface_0 in ${rotate_interface_0_in}; do
      for irotate_interface_1 in ${rotate_interface_1_in}; do

         petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -rotate_interface_0 ${irotate_interface_0} -rotate_interface_1 ${irotate_interface_1}" ex18_4_tet_test_orient.tmp ${testname}.err "${label}+rotate_interface_0-${irotate_interface_0}_rotate_interface_1-${irotate_interface_1}" 
         res=$?

         if test $res = 0; then
            petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/dm/impls/plex/tests/output/ex18_4_tet_test_orient.out ex18_4_tet_test_orient.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+rotate_interface_0-${irotate_interface_0}_rotate_interface_1-${irotate_interface_1} ""
         else
            petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
         fi

      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
